API

Retrieve a list of payments

GET/api/crm/v2/paymentsv2
operationId: payments.default

Authorization

api-token + language + role

Query parameters

paymentstringrequired

Example: plastic_card

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
paymentobject (FilterEnum)

Filter enumeration — a flat list of enumeration values

valuestring

Example: example

typestringrequired

Example: select

optionarray of string
modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

auto_paymentobject

Only for auto payment

idintegerrequired

Example: 1

card_idstringrequired

Example: 78787878

sumintegerrequired

Example: 20

payment_option_idintegerrequired

Example: 23

currency_codestringrequired

Example: RUB

amountstringrequired

Example: 1

One of the options
object

When converting

conversion_payment_sumnumberrequired

Example: 20

conversion_payment_currency_codestringrequired

Example: RUB

listarray of object
option_idintegerrequired

Example: 23

namestringrequired

Example: Visa / MasterCard / MIR

system_methodstringrequired

Example: plastic_card

recurrentbooleanrequired

Example: true

name_gatewaystringrequired

Example: Example Bank

system_namestring

Example: Tinkoff

payment_settings_idinteger

Payment gateway settings for the currency; returned in payments.add_transaction

Example: 12

currency_codestring

Example: RUB

is_nativeboolean

Example: true

minimum_sum_multiplierinteger

Example: 1

conversion_paymentstring

Example: 1

payment_infoobject
payment_idintegerrequired

Example: 1

system_namestringrequired

Example: tbank

min_sum_for_paynumber

Example: 600

short_textstring

Example: ₽

test_accountboolean

Example: true

Not found